Bug 1273304 - (CVE-2015-4883) CVE-2015-4883 OpenJDK: incorrect access control context used in DGCClient (RMI, 8076413)
CVE-2015-4883 OpenJDK: incorrect access control context used in DGCClient (RM...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20151020,repor...
: Security
Depends On:
Blocks: 1257667
  Show dependency treegraph
 
Reported: 2015-10-20 03:51 EDT by Tomas Hoger
Modified: 2016-07-18 09:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-26 10:23:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2015-10-20 03:51:39 EDT
It was discovered that the DGCClient (for RMI distributed garbage-collection - DGC) class in the RMI component of OpenJDK failed to use restricted access control context when handling JRMP (Java Remote Method Protocol) messages.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.
Comment 1 Tomas Hoger 2015-10-21 04:52:35 EDT
Public now via Oracle Critical Patch Update - October 2015.  Fixed in Oracle Java SE 6u105, 7u91, and 8u65.

External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2015-2367953.html#AppendixJAVA
Comment 2 errata-xmlrpc 2015-10-21 14:47:57 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1921 https://rhn.redhat.com/errata/RHSA-2015-1921.html
Comment 3 errata-xmlrpc 2015-10-21 16:59:31 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1920 https://rhn.redhat.com/errata/RHSA-2015-1920.html
Comment 4 errata-xmlrpc 2015-10-21 17:08:50 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1919 https://rhn.redhat.com/errata/RHSA-2015-1919.html
Comment 5 errata-xmlrpc 2015-10-22 14:35:30 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1928 https://rhn.redhat.com/errata/RHSA-2015-1928.html
Comment 6 errata-xmlrpc 2015-10-22 14:36:29 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1926 https://rhn.redhat.com/errata/RHSA-2015-1926.html
Comment 7 errata-xmlrpc 2015-10-22 14:45:41 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1927 https://rhn.redhat.com/errata/RHSA-2015-1927.html
Comment 8 Tomas Hoger 2015-10-26 10:01:56 EDT
OpenJDK8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/4ef68611a205
Comment 9 errata-xmlrpc 2015-11-18 11:41:21 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:2086 https://rhn.redhat.com/errata/RHSA-2015-2086.html
Comment 10 errata-xmlrpc 2015-11-23 07:41:17 EST
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:2508 https://rhn.redhat.com/errata/RHSA-2015-2508.html
Comment 11 errata-xmlrpc 2015-11-23 07:43:13 EST
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:2507 https://rhn.redhat.com/errata/RHSA-2015-2507.html
Comment 12 errata-xmlrpc 2015-11-23 07:57:07 EST
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2015:2509 https://rhn.redhat.com/errata/RHSA-2015-2509.html
Comment 13 errata-xmlrpc 2015-11-23 07:58:57 EST
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2015:2506 https://rhn.redhat.com/errata/RHSA-2015-2506.html
Comment 14 errata-xmlrpc 2015-11-25 16:16:49 EST
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:2518 https://rhn.redhat.com/errata/RHSA-2015-2518.html
Comment 15 errata-xmlrpc 2016-07-18 09:53:53 EDT
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2016:1430 https://access.redhat.com/errata/RHSA-2016:1430

Note You need to log in before you can comment on or make changes to this bug.